<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( '../init.php' );
}

include ( 'sessioninc.php' );

define( 'PAGE_ID', 'payment_mgt' );

if ( !checkAdminPermission( PAGE_ID ) ) {

	header( 'location: not_authorize.php' );
	exit;
}

//For Editing Modules
if ( $_GET['edit'] ) {

	$data =& $osDB->getRow( 'SELECT * from ! where module_key = ?', array( PAYMENT_MODULE_TABLE, $_GET['edit'] ) );

	$t->assign( 'error', get_lang('admin_error_msgs', $_GET['errid'] ) );

	$data['formfile'] = 'admin/'.$data['formfile'];

	$t->assign( 'data', $data );

	unset($data);

	$confdata =& $osDB->getAll( 'SELECT configuration_key, configuration_value from ! where module_key = ?', array( TABLE_CONFIGURATION, $_GET['edit'] ) );

	$paymod_data = array();

	foreach( $confdata as $confitem ) {

		$paymod_data[ $confitem['configuration_key'] ] = $confitem['configuration_value'];
	}

	$t->assign( 'paymod_data', $paymod_data );

	unset($confdata, $paymod_data);

	$t->assign('rendered_page', $t->fetch('admin/paymentmodedit.tpl'));

	$t->display( 'admin/index.tpl' );

	exit;
} elseif ( $_GET['delete'] ) {
//For Deletion of sections

	$osDB->query( 'UPDATE ! SET enabled = ? WHERE module_key = ?', array( PAYMENT_MODULE_TABLE, 'N', $_GET['delete'] ) );

	$payment= $_GET['delete'];

	require( '../modules/payment/'.$payment.'.php' );

	$payment_module =& new $payment;

	$payment_module->remove();

} elseif ( $_GET['install'] ) {
//Insert new section

	$osDB->query( 'UPDATE ! SET enabled = ? WHERE module_key = ?', array( PAYMENT_MODULE_TABLE, 'Y', $_GET['install'] ) );

	$payment= $_GET['install'];

	require( '../modules/payment/'.$payment.'.php' );

	$payment_module =& new $payment;

	$payment_module->install();

}

$t->assign( 'data', $osDB->getAll( 'SELECT * from !', array( PAYMENT_MODULE_TABLE ) ) );

$t->assign('rendered_page', $t->fetch('admin/paymentmod.tpl'));

$t->display( 'admin/index.tpl' );

exit;
?>